package com.mosty.base.manager.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.mosty.base.model.entity.afjcsj.VwSyrkJzgjGx;
import io.swagger.annotations.ApiOperation;

import java.util.List;
import java.util.Map;

/**
 * @author dw
 * @since 2022-10-27
 */
public interface VwSyrkJzgjGxMapper extends BaseMapper<VwSyrkJzgjGx> {

    @ApiOperation("查询实有人口数量")
    int getCount(Map<String, Object> map);

    @ApiOperation("查询实有人口列表")
    List<VwSyrkJzgjGx> getList(Map<String, Object> map);

    @ApiOperation("查询实有人口统计")
    List<Map<String, Object>> getStatistics();
}
